const ringArc = () => {
  data = data.filter(d => d.year == 2016);

  plotConfig = getRingChartConfig();
  const width = +plotConfig.width;
  const height = +plotConfig.height;
  const margin = plotConfig.margin;
  const innerHeight = +plotConfig.innerHeight;
  const innerWidth = +plotConfig.innerWidth;
  const innerRadius = +plotConfig.innerRadius;
  const outerRadius = +plotConfig.outerRadius;

  const svg = d3.select('#ring-chart-container');
  svg.attr('height', height).attr('width', width);

  const body = d3.select('#ring-chart-body');
  body
    .attr('height', innerHeight)
    .attr('width', innerWidth)
    .attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');
  // .attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

  showTitle(svg, 'Ring chart');

  const fullCircle = 2 * Math.PI;

  const xScale = d3
    .scaleLinear()
    .domain(d3.extent(data, d => d.date))
    .range([0, fullCircle]);
  
  data.map(d=>d.angle = xScale(d.date))
  console.log(data)

  const bandwidth = xScale(data[2].date) - xScale(data[1].date);
  console.log(bandwidth);
  const yScale = d3
    .scaleLinear()
    .domain(d3.extent(data, d => d.DEP_DELAY))
    // .range([0, innerHeight/2])
    .range([innerRadius + 10, outerRadius]);

  const radialBarContainer = body
    .append('g')
    .attr('id', 'radial-bars')
    .attr(
      'transform',
      'translate(' + innerWidth / 2 + ',' + innerHeight / 2 + ')'
    );
  radialBarContainer
    .selectAll('.bar')
    .data(data)
    .enter()
    .append('path')
    .attr(
      'd',
      d3
        .arc()
        .innerRadius(innerRadius)
        .outerRadius(d => yScale(d.DEP_DELAY))
        .startAngle(d => xScale(d.date))
        .endAngle(d => xScale(d.date)+bandwidth)
    .padAngle(0.001)
          .padRadius(innerRadius)
    )
    .attr('fill', '#4099ff');
};

const showData = () => {
  scatterPlot();
  ringArc();
};

loadData().then(showData);
